# File Format

[![PyPI - Python](https://img.shields.io/pypi/pyversions/File-Format.svg?logo=PyPI&label=Python&style=flat-square)](https://pypi.python.org/pypi/File-Format/)
[![PyPI - Status](https://img.shields.io/pypi/status/File-Format.svg?logo=PyPI&label=Status&style=flat-square)](https://pypi.python.org/pypi/File-Format/)
[![PyPI - Version](https://img.shields.io/pypi/v/File-Format.svg?logo=PyPI&label=Version&style=flat-square)](https://pypi.python.org/pypi/File-Format/)
[![PyPI - License](https://img.shields.io/pypi/l/File-Format.svg?logo=PyPI&label=License&style=flat-square)](https://opensource.org/licenses/GPL-3.0)

[![Black](https://img.shields.io/badge/Black-Enabled-000000?style=flat-square)](https://github.com/psf/black)
[![Flake8](https://img.shields.io/badge/Flake8-Enabled-informational?style=flat-square)](https://github.com/PyCQA/flake8)
[![Pre-Commit](https://img.shields.io/badge/Pre--Commit-Enabled-informational?logo=pre-commit&style=flat-square)](https://github.com/pre-commit/pre-commit)

[![Github - Contributors](https://img.shields.io/github/contributors/Buried-In-Code/File-Format.svg?logo=Github&label=Contributors&style=flat-square)](https://github.com/Buried-In-Code/File-Format/graphs/contributors)

[![Github Action - Code Analysis](https://img.shields.io/github/workflow/status/Buried-In-Code/File-Format/Code%20Analysis?logo=Github-Actions&label=Code-Analysis&style=flat-square)](https://github.com/Buried-In-Code/File-Format/actions/workflows/code-analysis.yaml)
[![Github Action - Testing](https://img.shields.io/github/workflow/status/Buried-In-Code/File-Format/Testing?logo=Github-Actions&label=Tests&style=flat-square)](https://github.com/Buried-In-Code/File-Format/actions/workflows/testing.yaml)

Unify more of your files, using [pre-commit](https://github.com/pre-commit/pre-commit) hooks.

## Usage

See [pre-commit](https://github.com/pre-commit/pre-commit) for instructions\
Sample `.pre-commit-config.yaml`:

```yaml
- repo: https://github.com/Buried-In-Code/File-Format
  rev: 0.2.1
  hooks:
    - id: format-ini
    - id: format-json
    - id: format-pre-commit
    - id: format-toml
    - id: format-xml
    - id: format-yaml
```

## Hooks

### [format-ini](file_format/format_ini.py)

| Arg         | Type | Default | Description           |
| ----------- | ---- | ------- | --------------------- |
| `--no-sort` | bool | False   | Don't sort the result |

### [format-json](file_format/format_json.py)

| Arg         | Type | Default | Description                          |
| ----------- | ---- | ------- | ------------------------------------ |
| `--indent`  | int  | 2       | The number of spaces for indentation |
| `--no-sort` | bool | False   | Don't sort the result                |

### [format-pre-commit](file_format/format_pre_commit.py)

| Arg             | Type | Default | Description                          |
| --------------- | ---- | ------- | ------------------------------------ |
| `--line-length` | int  | 100     | The max line length before wrapping  |
| `--indent`      | int  | 2       | The number of spaces for indentation |
| `--no-sort`     | bool | False   | Don't sort the result                |

### [format-toml](file_format/format_toml.py)

| Arg         | Type | Default | Description                          |
| ----------- | ---- | ------- | ------------------------------------ |
| `--indent`  | int  | 2       | The number of spaces for indentation |
| `--no-sort` | bool | False   | Don't sort the result                |

### [format-xml](file_format/format_xml.py)

| Arg | Type | Default | Description |
| --- | ---- | ------- | ----------- |

### [format-yaml](file_format/format_yaml.py)

| Arg              | Type | Default | Description                                         |
| ---------------- | ---- | ------- | --------------------------------------------------- |
| `--yaml-version` | str  | 1.2     | The yaml spec version to use. *(Options: 1.1, 1.2)* |
| `--line-length`  | int  | 100     | The max line length before wrapping                 |
| `--indent`       | int  | 2       | The number of spaces for indentation                |
| `--no-sort`      | bool | False   | Don't sort the result                               |

## Socials

[![Social - Discord](https://img.shields.io/badge/Discord-The--DEV--Environment-7289DA?logo=Discord&style=flat-square)](https://discord.gg/nqGMeGg)
