# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['file_format']

package_data = \
{'': ['*']}

install_requires = \
['pyyaml>=6.0,<7.0',
 'ruamel.yaml>=0.17.21,<0.18.0',
 'toml-sort>=0.19.0,<0.20.0',
 'xmltodict>=0.12.0,<0.13.0']

entry_points = \
{'console_scripts': ['format_ini = file_format.format_ini:main',
                     'format_json = file_format.format_json:main',
                     'format_pre_commit = file_format.format_pre_commit:main',
                     'format_toml = file_format.format_toml:main',
                     'format_xml = file_format.format_xml:main',
                     'format_yaml = file_format.format_yaml:main']}

setup_kwargs = {
    'name': 'file-format',
    'version': '0.2.2',
    'description': 'Unify more of your files, using pre-commit hooks.',
    'long_description': "# File Format\n\n[![PyPI - Python](https://img.shields.io/pypi/pyversions/File-Format.svg?logo=PyPI&label=Python&style=flat-square)](https://pypi.python.org/pypi/File-Format/)\n[![PyPI - Status](https://img.shields.io/pypi/status/File-Format.svg?logo=PyPI&label=Status&style=flat-square)](https://pypi.python.org/pypi/File-Format/)\n[![PyPI - Version](https://img.shields.io/pypi/v/File-Format.svg?logo=PyPI&label=Version&style=flat-square)](https://pypi.python.org/pypi/File-Format/)\n[![PyPI - License](https://img.shields.io/pypi/l/File-Format.svg?logo=PyPI&label=License&style=flat-square)](https://opensource.org/licenses/GPL-3.0)\n\n[![Black](https://img.shields.io/badge/Black-Enabled-000000?style=flat-square)](https://github.com/psf/black)\n[![Flake8](https://img.shields.io/badge/Flake8-Enabled-informational?style=flat-square)](https://github.com/PyCQA/flake8)\n[![Pre-Commit](https://img.shields.io/badge/Pre--Commit-Enabled-informational?logo=pre-commit&style=flat-square)](https://github.com/pre-commit/pre-commit)\n\n[![Github - Contributors](https://img.shields.io/github/contributors/Buried-In-Code/File-Format.svg?logo=Github&label=Contributors&style=flat-square)](https://github.com/Buried-In-Code/File-Format/graphs/contributors)\n\n[![Github Action - Code Analysis](https://img.shields.io/github/workflow/status/Buried-In-Code/File-Format/Code%20Analysis?logo=Github-Actions&label=Code-Analysis&style=flat-square)](https://github.com/Buried-In-Code/File-Format/actions/workflows/code-analysis.yaml)\n[![Github Action - Testing](https://img.shields.io/github/workflow/status/Buried-In-Code/File-Format/Testing?logo=Github-Actions&label=Tests&style=flat-square)](https://github.com/Buried-In-Code/File-Format/actions/workflows/testing.yaml)\n\nUnify more of your files, using [pre-commit](https://github.com/pre-commit/pre-commit) hooks.\n\n## Usage\n\nSee [pre-commit](https://github.com/pre-commit/pre-commit) for instructions\\\nSample `.pre-commit-config.yaml`:\n\n```yaml\n- repo: https://github.com/Buried-In-Code/File-Format\n  rev: 0.2.1\n  hooks:\n    - id: format-ini\n    - id: format-json\n    - id: format-pre-commit\n    - id: format-toml\n    - id: format-xml\n    - id: format-yaml\n```\n\n## Hooks\n\n### [format-ini](file_format/format_ini.py)\n\n| Arg         | Type | Default | Description           |\n| ----------- | ---- | ------- | --------------------- |\n| `--no-sort` | bool | False   | Don't sort the result |\n\n### [format-json](file_format/format_json.py)\n\n| Arg         | Type | Default | Description                          |\n| ----------- | ---- | ------- | ------------------------------------ |\n| `--indent`  | int  | 2       | The number of spaces for indentation |\n| `--no-sort` | bool | False   | Don't sort the result                |\n\n### [format-pre-commit](file_format/format_pre_commit.py)\n\n| Arg             | Type | Default | Description                          |\n| --------------- | ---- | ------- | ------------------------------------ |\n| `--line-length` | int  | 100     | The max line length before wrapping  |\n| `--indent`      | int  | 2       | The number of spaces for indentation |\n| `--no-sort`     | bool | False   | Don't sort the result                |\n\n### [format-toml](file_format/format_toml.py)\n\n| Arg         | Type | Default | Description                          |\n| ----------- | ---- | ------- | ------------------------------------ |\n| `--indent`  | int  | 2       | The number of spaces for indentation |\n| `--no-sort` | bool | False   | Don't sort the result                |\n\n### [format-xml](file_format/format_xml.py)\n\n| Arg | Type | Default | Description |\n| --- | ---- | ------- | ----------- |\n\n### [format-yaml](file_format/format_yaml.py)\n\n| Arg              | Type | Default | Description                                         |\n| ---------------- | ---- | ------- | --------------------------------------------------- |\n| `--yaml-version` | str  | 1.2     | The yaml spec version to use. *(Options: 1.1, 1.2)* |\n| `--line-length`  | int  | 100     | The max line length before wrapping                 |\n| `--indent`       | int  | 2       | The number of spaces for indentation                |\n| `--no-sort`      | bool | False   | Don't sort the result                               |\n\n## Socials\n\n[![Social - Discord](https://img.shields.io/badge/Discord-The--DEV--Environment-7289DA?logo=Discord&style=flat-square)](https://discord.gg/nqGMeGg)\n",
    'author': 'Buried-In-Code',
    'author_email': 'BuriedInCode@tuta.io',
    'maintainer': 'Buried-In-Code',
    'maintainer_email': 'BuriedInCode@tuta.io',
    'url': 'https://github.com/Buried-In-Code/file-format',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
