from configparser import ConfigParser

from file_format.format_ini import config_to_dict, dict_to_config, main, sort_dict

CONTENT = {
    "Section": {
        "bool_val": str(True),
        "int_val": str(11),
        "str_val": "string",
    }
}
UNSORTED_CONTENT = {
    "Section": {
        "str_val": "string",
        "bool_val": str(True),
        "int_val": str(11),
    }
}


def generate_config() -> ConfigParser:
    config = ConfigParser()
    config.read_dict(CONTENT)
    return config


def test_config_to_dict():
    content = config_to_dict(generate_config())
    assert content == CONTENT


def test_sort_dict():
    content = sort_dict(UNSORTED_CONTENT)
    assert content == CONTENT


def test_dict_to_config():
    config = dict_to_config(CONTENT)
    assert config == generate_config()


def test_ini():
    main(["test_files/test.ini"])
