from copy import deepcopy

from ruamel.yaml import CommentedMap, CommentedSeq

from file_format.format_yaml import main, sort_data, sort_dict, sort_list

SORTED_MAP = CommentedMap(
    {
        "Quiz": CommentedMap(
            {
                "Gaming": CommentedSeq(
                    [
                        CommentedMap(
                            {
                                "Answer": "Snake",
                                "Options": CommentedSeq(
                                    ["Arbok", "Ditto", "Ekans", "Mew", "Snake"]
                                ),
                                "Question": "Which one is not a Pokemon?",
                            }
                        ),
                        CommentedMap(
                            {
                                "Answer": "Princess Zelda",
                                "Options": CommentedSeq(
                                    [
                                        "Princess Bubblegum",
                                        "Princess Daisy",
                                        "Princess Peach",
                                        "Princess Zelda",
                                    ]
                                ),
                                "Question": "The name of the princess that Link is always needing \
                                to save?",
                            }
                        ),
                    ]
                ),
                "Maths": CommentedSeq(
                    [
                        CommentedMap(
                            {
                                "Answer": 12,
                                "Options": CommentedSeq([10, 11, 12, 13]),
                                "Question": "5 + 7 = ?",
                            }
                        )
                    ]
                ),
                "Movies": CommentedSeq(),
            }
        )
    }
)
UNSORTED_MAP = CommentedMap(
    {
        "Quiz": CommentedMap(
            {
                "Gaming": CommentedSeq(
                    [
                        CommentedMap(
                            {
                                "Answer": "Snake",
                                "Options": CommentedSeq(
                                    ["Arbok", "Ditto", "Ekans", "Mew", "Snake"]
                                ),
                                "Question": "Which one is not a Pokemon?",
                            }
                        ),
                        CommentedMap(
                            {
                                "Answer": "Princess Zelda",
                                "Options": CommentedSeq(
                                    [
                                        "Princess Bubblegum",
                                        "Princess Daisy",
                                        "Princess Peach",
                                        "Princess Zelda",
                                    ]
                                ),
                                "Question": "The name of the princess that Link is always needing \
                                to save?",
                            }
                        ),
                    ]
                ),
                "Maths": CommentedSeq(
                    [
                        CommentedMap(
                            {
                                "Answer": 12,
                                "Options": CommentedSeq([10, 11, 12, 13]),
                                "Question": "5 + 7 = ?",
                            }
                        )
                    ]
                ),
                "Movies": CommentedSeq(),
            }
        )
    }
)


def test_sort_data():
    sorted_data = sort_data(deepcopy(UNSORTED_MAP))
    assert sorted_data == SORTED_MAP


def test_sort_dict():
    sorted_map = sort_dict(deepcopy(UNSORTED_MAP))
    assert sorted_map == SORTED_MAP


def test_sort_list():
    sorted_seq = sort_list(deepcopy(UNSORTED_MAP["Quiz"]["Gaming"]))
    assert sorted_seq == SORTED_MAP["Quiz"]["Gaming"]


def test_yaml():
    main(["test_files/test.yaml"])
